Summary:	Simple password store
Name:		password-store
Version:	1.7.4
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	https://git.zx2c4.com/password-store/snapshot/%{name}-%{version}.tar.xz
# Source0-md5:	56b918982fd80bedba6590059c332c6d
URL:		https://www.passwordstore.org/
BuildRequires:	rpmbuild(macros) >= 1.720
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	bash
Requires:	gnupg2
Requires:	tree >= 1.7.0
Requires:	util-linux
Suggests:	coreutils
Suggests:	git-core
Suggests:	wl-clipboard
Suggests:	xclip
Provides:	pass = %{version}-%{release}
Obsoletes:	pass
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple password store that encrypts passwords using gpg
and places the encrypted password in a directory. It can generate new
passwords and keep track of old ones.

%package -n bash-completion-password-store
Summary:	bash-completion for password-store
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla password-store
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-password-store
bash-completion for password-store.

%description -n bash-completion-password-store -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla password-store.

%package -n fish-completion-password-store
Summary:	fish-completion for password-store
Summary(pl.UTF-8):	Uzupełnianie nazw w fish dla password-store
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish

%description -n fish-completion-password-store
fish-completion for password-store.

%description -n fish-completion-password-store -l pl.UTF-8
Pakiet ten dostarcza uzupełnianie nazw w fish dla password-store.

%package -n zsh-completion-password-store
Summary:	zsh-completion for password-store
Summary(pl.UTF-8):	Uzupełnianie nazw w zsh dla password-store
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash >= 4.0

%description -n zsh-completion-password-store
zsh-completion for password-store.

%description -n zsh-completion-password-store -l pl.UTF-8
Pakiet ten dostarcza funkcje uzupełniania nazw powłoki zsh dla
password-store.

%prep
%setup -q

rm contrib/emacs/.gitignore

%{__sed} -i -e '1s,/usr/bin/env bash,%{__bash},' src/password-store.sh

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	BINDIR=%{_bindir} \
	LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
	SYSCONFDIR=%{_sysconfdir} \
	WITH_ALLCOMP=yes \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README contrib
%attr(755,root,root) %{_bindir}/pass
%{_mandir}/man1/pass.1*

%files -n bash-completion-password-store
%defattr(644,root,root,755)
%{bash_compdir}/pass

%files -n fish-completion-password-store
%defattr(644,root,root,755)
%{fish_compdir}/pass.fish

%files -n zsh-completion-password-store
%defattr(644,root,root,755)
%{zsh_compdir}/_pass
%changelog
* Fri Jun 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/password-store.git;a=log;h=master

* Fri Jun 11 2021 Jan Palus <atler@pld-linux.org> beb0c77
- up to 1.7.4

* Sat Feb 20 2021 Jan Palus <atler@pld-linux.org> 16edde1
- S: wl-clipboard

* Fri Feb 19 2021 Jan Palus <atler@pld-linux.org> 2045f87
- upstream patch for clipboard support under wayland; rel 2

* Fri Feb 19 2021 Jan Palus <atler@pld-linux.org> a36d950
- fix shebang

* Wed Sep 12 2018 Elan Ruusamäe <glen@pld-linux.org> bf741e3
- bash completions require bash 4.0

* Wed Sep 12 2018 Elan Ruusamäe <glen@pld-linux.org> 6f8185c
- bashcomp-noleak.patch: use git format-patch

* Wed Sep 12 2018 Elan Ruusamäe <glen@pld-linux.org> ce60572
- bash_completion: do not leak variables to globals scope

* Wed Sep 12 2018 Elan Ruusamäe <glen@pld-linux.org> ff674de
- up to 1.7.3

* Fri Apr 28 2017 Andrzej Zawadzki <zawadaa@pld-linux.org> 3ba407d
- up to 1.7.1

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> 1bf46ad
- package contrib dir containing converters

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> b990a24
- tree version

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> 1d0fc12
- package fish completsions; bash/fish subpackages

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> eaccf62
- it's a noarch package

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> ca8cbd1
- up to 1.6.5; obsolete "pass" package name

* Fri Mar 15 2013 Artur Frysiak <artur@frysiak.net> 904d2f3
- Init

